#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: ShellCheck
version: 0.4.7
id: ShellCheck-0.4.7-9HxvFE33WgBCjeSQx4L2Pe
key: ShellCheck-0.4.7-9HxvFE33WgBCjeSQx4L2Pe
license: GPL-3
maintainer: vidar@vidarholen.net
homepage: http://www.shellcheck.net/
synopsis: Shell script analysis tool
description:
    The goals of ShellCheck are:
    .
    * To point out and clarify typical beginner'\''s syntax issues,
    that causes a shell to give cryptic error messages.
    .
    * To point out and clarify typical intermediate level semantic problems,
    that causes a shell to behave strangely and counter-intuitively.
    .
    * To point out subtle caveats, corner cases and pitfalls, that may cause an
    advanced user'\''s otherwise working script to fail under future circumstances.
category: Static Analysis
author: Vidar Holen
exposed: True
indefinite: False
exposed-modules:
    ShellCheck.AST ShellCheck.ASTLib ShellCheck.Analytics
    ShellCheck.Analyzer ShellCheck.AnalyzerLib ShellCheck.Checker
    ShellCheck.Checks.Commands ShellCheck.Checks.ShellSupport
    ShellCheck.Data ShellCheck.Formatter.CheckStyle
    ShellCheck.Formatter.Format ShellCheck.Formatter.GCC
    ShellCheck.Formatter.JSON ShellCheck.Formatter.TTY
    ShellCheck.Interface ShellCheck.Parser ShellCheck.Regex
hidden-modules: Paths_ShellCheck
abi: 2ebeff8b08579fd406620dcc50eaaae1
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/ShellCheck-0.4.7
library-dirs: /usr/lib/ghc-8.2.2/site-local/ShellCheck-0.4.7
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.2.2/ShellCheck-0.4.7
hs-libraries: HSShellCheck-0.4.7-9HxvFE33WgBCjeSQx4L2Pe
depends:
    base-4.10.1.0 containers-0.5.10.2 directory-1.3.0.2
    json-0.9.1-2H3aMSRsCE9JL2qhjU3oOm mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH
    parsec-3.1.11-4HFX6l6YojG1oyYQULsuQ1
    regex-tdfa-1.2.2-LXrPID2GWRYz5rkILVGL8
    QuickCheck-2.10.1-BUFYQzp5Pjm7JbQeTzW89l process-1.6.1.0
abi-depends: base-4.10.1.0=0ea45191c57c268b2351cb731ab6a0d6
             containers-0.5.10.2=0f9db0d1b935cacba444aac19f4cb54d
             directory-1.3.0.2=7b913664ccd770192b307d7c4c6817cc
             json-0.9.1-2H3aMSRsCE9JL2qhjU3oOm=ecdf5df31a1dbc6fb23eb897e9d41790
             mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH=a1f89647d7228db4bf59b7aaec52e888
             parsec-3.1.11-4HFX6l6YojG1oyYQULsuQ1=893424ff0bd1ccfdf429c25df7ce2aa4
             regex-tdfa-1.2.2-LXrPID2GWRYz5rkILVGL8=e1619b316a6b2dcb983f330c43208f5f
             QuickCheck-2.10.1-BUFYQzp5Pjm7JbQeTzW89l=a871331a7e5e7b5c37818b7997512ddd
             process-1.6.1.0=e78440f24fd9cc3300a1da2a92a47757
haddock-interfaces: /usr/share/doc/shellcheck/html/ShellCheck.haddock
haddock-html: /usr/share/doc/shellcheck/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

